package ru.yandex.webmaster3.storage.history;

import java.util.NavigableMap;

import org.joda.time.DateTime;

/**
 * User: azakharov
 * Date: 26.09.14
 * Time: 13:37
 */
public class IndicatorHistoryData {
    private final IndexingIndicatorEnum indicator;
    private final NavigableMap<DateTime, Long> data;

    public IndicatorHistoryData(IndexingIndicatorEnum indicator, NavigableMap<DateTime, Long> data) {
        this.indicator = indicator;
        this.data = data;
    }

    public IndexingIndicatorEnum getIndicator() {
        return indicator;
    }

    public NavigableMap<DateTime, Long> getData() {
        return data;
    }
}
